## Version 2.6.5

### Android
- Updated VdoCipher Android SDK dependency to 1.26.3.
- Upgraded Play Integrity request from Classic to Standard.
- Bugfixes:
  - Fixed SecurityException with media downloads when targetSdkVersion is set to 34.

## Version 2.6.4

### iOS
  - Updated the VdoCipher iOS SDK dependency to 2.5.6.
  - Xcode older version support (Inbuilt capture of self in closures in swift in Xcode 14 & above).

## Version 2.6.3

### iOS
- Bugfixes:
  - Fixed CocoaPods install failure in iOS.

## Version 2.6.2

- Added support for tokens (an alternative to OTP).
- Known Issues:
  - CocoaPods install failure in iOS. [Upgrade to version 2.6.3 or higher for the fix]

### Android
- Improved exception handling when the player is not ready.
- Bugfixes:
  - Fixed NullPointerExceptions related to data initialization and background processes.
  - Added offline data synchronization.

### iOS
- Updated the VdoCipher iOS SDK dependency to 2.5.5.
- Bugfixes:
  - Fixed the auto-play feature with iOS playback.

## Version 2.6.1

### Android
- Updated VdoCipher Android SDK dependency to version 1.26.0.
- Updated minSdkVersion to 21 and compileSdk to 34.
- Bugfixes:
  - Fixed a NullPointerException and an ANR related to MediaDRM.

## Version 2.6.0

### Bug Fixes
- Fixed an issue where the player aspect ratio was not working when provided with `VdoPlayer.aspectRatio`.

### Android
- Updated VdoCipher Android SDK dependency to version 1.25.1.
- Introduced a new API: `DownloadStatus.isExpired()` to check if downloaded media has expired (Not supported in iOS).
- Displaying error code 6187 when attempting to play an expired downloaded file.
- Bug Fixes:
  - Fixed a `NullPointerException` related to `onDrmSessionAcquired`.
  - Addressed an "Application Not Responding" (ANR) error.
  - Resolved a crash in the Bottom Sheet: occurred when pressing the home button while the Bottom Sheet was open.

## 2.5.0

### Android
- Updated VdoCipher Android SDK dependency to 1.24.1.
- Removed parameter `EmbedInfoOptions.safetyNetApiKey` and SafetyNet support. Use Play integrity instead.
- Added support for server-side resume.
- Upgraded minSdkVersion to 19.
- Bug fixes:
  - Fixed NullPointerException related to onDrmSessionAcquired.
  - Fixed auto-resume not working properly for offline downloads.
  - Fixed additional status bar space coming with inbuilt UI.

### iOS
- Updated VdoCipher iOS SDK dependency to 2.5.4.
- Added support for server-side resume.
- Conserve speed, captions, and quality across sessions.

## 2.4.5

### Android
- Updated VdoCipher Android SDK dependency to 1.23.5.
- Added play integrity support for media download.
- Bug fix - Added PlatformSchedulerService for media3.

### Web
- Bug fixes:
  - Fixed TypeError at the start of playback.
  - Addressed empty list issues in `VdoPlayerValue.playbackSpeedOptions` and `VdoPlayerValue.mediaInfo`.
  - Resolved `VdoPlayerController.setPlaybackSpeed` not working.

## 2.4.4
* Added video quality selection support for iOS.
* Updated VdoCipher iOS SDK dependency to 2.5.3.

## 2.4.3
* Fixed android conflict of media3 and exoplayer dependencies.

## 2.4.2
* Removed dependency from `wakelock` plugin.

## 2.4.1
* Fixed ExoPlayer version mismatch error (Error 1203) occurring when attempting to create a release APK.
* Updated the version of the native Android SDK to v1.23.1.

## 2.4.0
* Resolved the issue of iOS inbuilt UI overlapping on smaller screen devices.
* Resolved the caption API issue for the iOS player when used with custom UI.
* Implemented support for deactivating built-in player controls on the web platform.
* Introduced an API for muting/unmuting the player on the web platform.
* Updated the version of the native Android SDK to v1.23.0.
* Upgraded the version of the native iOS SDK to v2.5.1.

## 2.3.2
* Fixed conflict with video_player_web plugin.
* Updated native Android SDK version to v1.22.3.

## 2.3.1
* Updated native Android SDK version to v1.22.2.
* Android bug fixes -
    - Runtime exception `NoSuchMethodError` for `WindowInsets.getDisplayCutout()` on some devices.

## 2.3.0
* Added web support by default.
* Added new dependencies: `js`, `flutter_web_plugins`, and `plugin_platform_interface`.
* Updated native Android SDK version to v1.22.1.
* Updated native iOS SDK version to v2.4.3.

## 2.2.8
* Native Android SDK version updated to 1.21.1.
* Native iOS SDK version updated to 2.4.2.
* iOS offline playback issue fixed.

## 2.2.7
* Bug fix - Android losing player state upon returning from another page.

## 2.2.6
* Bug fix - Propagating playback error events.

## 2.2.5
* Native Android SDK version updated to 1.19.7.
* Native iOS SDK version updated to 2.4.1.
* Bug fixes.

## 2.2.4
* Updated example code.
* Bug fix - iOS audio session closure.

## 2.2.3
* Added example code.
* Added callback for picture in picture mode event.
* `PlaybackSpeedOptions` renamed to `defaultPlaybackSpeedOptions`

## 2.2.2
* Added support to download media without audio.
* Upgraded exoplayer dependency to 2.18.5.

## 2.2.1
* Fixed iOS build issue.

## 2.2.0
* New UI for built-in player controls.
* Added support for media download and offline playback.
* Native Android SDK version updated to 1.19.2.
* Native iOS SDK version updated to 2.4.0.

## 2.1.1
* Fixed behaviour of `EmbedInfoOptions.resumePosition` parameter.
* Fixed iOS playback issue with app restart in debug mode.
* Native Android SDK version updated to 1.19.1.

## 2.1.0
* Fixed iOS playback issue related to disposed player.
* Native Android SDK version updated to 1.19.0.
* Added API to track additional properties 'totalPlayed' and 'totalCovered'.

## 2.0.1
* Fixed player state management across interruptions.
* Fixed controller disposed issue.
* iOS playback issue on back press fixed.

## 2.0.0
* Fixed disabling and selecting subtitles.
* Fixed playback speed options.
* Native Android SDK version updated to 1.18.1.
* Native iOS SDK version updated to 2.2.0.

## 1.1.1
* Fixed auto play and transparent background issue.

## 1.1.0
* Fixed player controller disappearance on iOS
* Added option to disable player controls

## 1.0.0
* Fixed scrubbing issue with VdoPlayer UI
* Native SDK VdoFramework version updated to 2.1.1

## 1.0.0-beta.7
* Flutter 3.0.0 compatibility
* iOS Framework updated to 2.1.2
* Android Native lib updated to 1.14.1
* Updated outdated dependencies

## 1.0.0-beta.6
* Notes text removed from README
* Updated outdated dependencies
* Code changes suggested by Flutter Pub Dev
* Forward/Backword icon change

## 1.0.0-beta.5
* iOS Support added

## 1.0.0-beta.4
* On Events callback
* On Error callback
* Back from full-screen goes back to previous page instead of exit fullscreen
* Fixed some deprecated methods
* Improved documentation

## 1.0.0-beta.3
* Callback option available: onError
* Removed transparent background on loading video playback
* Displaying error message along with error code

## 1.0.0-beta.2
* Speed control UI option
* Forward/Backward skip configuration option
* Slider Error fixed when app goes to background and return to foreground

## 1.0.0-beta.1
* Upgrade VdoCipher native android sdk dependency to 1.10.0
* Remove LoadResult class
* Add track-selection APIs
* Upgrade library to null-safety

## 1.0.0-alpha.3
* Upgrade VdoCipher native android sdk dependency to 1.8.1

## 1.0.0-alpha.2
* Added embed info option to control adb debugging restriction

## 1.0.0-alpha.1
* Initial release of the VdoCipher flutter plugin (for android only)
* Embed videos from your VdoCipher dashboard into your flutter apps, and specify multiple playback options
